org.eclipse.rdf4j.query.algebra

## Class LeftJoin

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.BinaryTupleOperator
    - - org.eclipse.rdf4j.query.algebra.LeftJoin

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, TupleExpr

      public class LeftJoin
      extends BinaryTupleOperator

  The LeftJoin operator, as defined in SPARQL Query Language for RDF.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.BinaryTupleOperator

      `leftArg, rightArg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeftJoin()`
    `LeftJoin(TupleExpr leftArg, TupleExpr rightArg)`
    `LeftJoin(TupleExpr leftArg, TupleExpr rightArg, ValueExpr condition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LeftJoin` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `Set<String>` | `getAssuredBindingNames()` Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
    `Set<String>` | `getBindingNames()` Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
    `ValueExpr` | `getCondition()`
    `boolean` | `hasCondition()`
    `int` | `hashCode()`
    `void` | `replaceChildNode(QueryModelNode current, QueryModelNode replacement)` Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
    `void` | `setCondition(ValueExpr condition)`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.
    `<X extends Exception> void` | `visitChildren(QueryModelVisitor<X> visitor)` Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.BinaryTupleOperator

      `getLeftArg, getRightArg, setLeftArg, setRightArg`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getParentNode, getSignature, isGraphPatternGroup, nullEquals, replaceNodeInList, replaceWith, setGraphPatternGroup, setParentNode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getParentNode, getSignature, replaceWith, setParentNode, toString`

- - ### Constructor Detail

    - #### LeftJoin

          public LeftJoin()

    - #### LeftJoin

          public LeftJoin(TupleExpr leftArg,
                          TupleExpr rightArg)

    - #### LeftJoin

          public LeftJoin(TupleExpr leftArg,
                          TupleExpr rightArg,
                          ValueExpr condition)

  - ### Method Detail

    - #### getCondition

          public ValueExpr getCondition()

    - #### setCondition

          public void setCondition(ValueExpr condition)

    - #### hasCondition

          public boolean hasCondition()

    - #### getBindingNames

          public Set<String> getBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
      Returns:
        A set of binding names.

    - #### getAssuredBindingNames

          public Set<String> getAssuredBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
      Returns:
        A set of binding names.

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### visitChildren

          public <X extends Exception> void visitChildren(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `BinaryTupleOperator`
      Throws:
        `X extends Exception`

    - #### replaceChildNode

          public void replaceChildNode(QueryModelNode current,
                                       QueryModelNode replacement)

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
      Specified by:
        `replaceChildNode` in interface `QueryModelNode`
      Overrides:
        `replaceChildNode` in class `BinaryTupleOperator`
      Parameters:
        `current` - The current child node.
        `replacement` - The new child node.

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `BinaryTupleOperator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BinaryTupleOperator`

    - #### clone

          public LeftJoin clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `TupleExpr`
      Overrides:
        `clone` in class `BinaryTupleOperator`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.